Rgraphviz load problem
4
0
Entering edit mode
@daniel-klevebring-2108
Last seen 7.4 years ago
An embedded and charset-unspecified text was scrubbed... Name: not available Url: https://stat.ethz.ch/pipermail/bioconductor/attachments/20070413/ 2a41dce9/attachment.pl
• 902 views
ADD COMMENT
0
Entering edit mode
@lilongisb-sibch-1725
Last seen 7.4 years ago
It certainly sounds like installation-related issue. I assume your "Rgraphviz" is 1.12.x. Could you please double-check the following? (1) Rgraphviz is 1.12.3: this version is updated to handle graphviz 2.12, (2) new DYLD_LIBRARY_PATH is visible to your R-run (something like "env" will tell you, if not, you can either log-out/log-back-in or do "source ~/.bashrc" to make it happen) (3) libs (.so files) from graphviz 2.12 are indeed available in your path Li > Dear list, > > I am trying to load the package Rgraphviz on Mac OS X 10.4.9, and R > 2.4.1 using bioC 1.9 and Graphviz 2.12 and am running into the > following problem: > > > library(Rgraphviz) > Loading required package: graph > Loading required package: geneplotter > Loading required package: annotate > Loading required package: Biobase > Loading required package: tools > > Welcome to Bioconductor > > Vignettes contain introductory material. To view, type > 'openVignette()' or start with 'help(Biobase)'. For details > on reading vignettes, see the openVignette help page. > > KernSmooth 2.22 installed > Copyright M. P. Wand 1997 > Error in dyn.load(x, as.logical(local), as.logical(now)) : > unable to load shared library '/Users/danielk/Library/R/library/ > Rgraphviz/libs/i386/Rgraphviz.so': > dlopen(/Users/danielk/Library/R/library/Rgraphviz/libs/i386/ > Rgraphviz.so, 6): Symbol not found: _agfstnode > Referenced from: /Users/danielk/Library/R/library/Rgraphviz/libs/ > i386/Rgraphviz.so > Expected in: dynamic lookup > Error: .onLoad failed in 'loadNamespace' for 'Rgraphviz' > Error: package/namespace load failed for 'Rgraphviz' > > I have seen this problem posted before on the list, with the answer > to reinstalling the latest binary from bioC. I have tried this and it > didn't work. I have also seen something about setting the system > variable DYLD_LIBRARY_PATH, and I tried setting it in ~/.bashrc: > export DYLD_LIBRARY_PATH=/usr/local/graphviz-2.12/lib > > The same error as above still occurs. Does anyone know how to solve > this problem? > > > sessionInfo() > R version 2.4.1 (2006-12-18) > i386-apple-darwin8.8.1 > > locale: > en_GB.UTF-8/en_GB.UTF-8/en_GB.UTF-8/C/en_GB.UTF-8/en_GB.UTF-8 > > attached base packages: > [1] "tools" "stats" "graphics" "grDevices" "utils" > "datasets" > [7] "methods" "base" > > other attached packages: > geneplotter annotate Biobase graph > "1.12.0" "1.12.0" "1.12.2" "1.12.1" > > > > > -- > > Contact information: > > Daniel Klevebring > M. Sc. Eng., Ph.D. Student > Dept of Gene Technology > Royal Institute of Technology, KTH > SE-106 91 Stockholm, Sweden > > Visiting address: Roslagstullsbacken 21, B3 > Delivery address: Roslagsv?gen 30B, 104 06, Stockholm > E-mail: daniel at biotech.kth.se > E-mail: daniel at arrayadvice.se > Phone: +46 8 5537 8337 (Office) > Phone: +46 704 71 65 91 (Mobile) > Web: http://www.ktharray.se/ > Web: http://www.arrayadvice.se/ > Fax: +46 8 5537 8481 > MSN messenger: klevebring at msn.com > > > > [[alternative HTML version deleted]] > > _______________________________________________ > Bioconductor mailing list > Bioconductor at stat.math.ethz.ch > https://stat.ethz.ch/mailman/listinfo/bioconductor > Search the archives: > http://news.gmane.org/gmane.science.biology.informatics.conductor
ADD COMMENT
0
Entering edit mode
@lilongisb-sibch-1725
Last seen 7.4 years ago
Another thought: why do you have "_" in error msg: Symbol not found: _agfstnode ? In my Linux installation, it's only "agfstnode", without "_". I'd double-check to see which one you have in your graphviz installation. In unix/linux, you can do somthing like: nm lib*.so | grep agfstnode Li > Dear list, > > I am trying to load the package Rgraphviz on Mac OS X 10.4.9, and R > 2.4.1 using bioC 1.9 and Graphviz 2.12 and am running into the > following problem: > > > library(Rgraphviz) > Loading required package: graph > Loading required package: geneplotter > Loading required package: annotate > Loading required package: Biobase > Loading required package: tools > > Welcome to Bioconductor > > Vignettes contain introductory material. To view, type > 'openVignette()' or start with 'help(Biobase)'. For details > on reading vignettes, see the openVignette help page. > > KernSmooth 2.22 installed > Copyright M. P. Wand 1997 > Error in dyn.load(x, as.logical(local), as.logical(now)) : > unable to load shared library '/Users/danielk/Library/R/library/ > Rgraphviz/libs/i386/Rgraphviz.so': > dlopen(/Users/danielk/Library/R/library/Rgraphviz/libs/i386/ > Rgraphviz.so, 6): Symbol not found: _agfstnode > Referenced from: /Users/danielk/Library/R/library/Rgraphviz/libs/ > i386/Rgraphviz.so > Expected in: dynamic lookup > Error: .onLoad failed in 'loadNamespace' for 'Rgraphviz' > Error: package/namespace load failed for 'Rgraphviz' > > I have seen this problem posted before on the list, with the answer > to reinstalling the latest binary from bioC. I have tried this and it > didn't work. I have also seen something about setting the system > variable DYLD_LIBRARY_PATH, and I tried setting it in ~/.bashrc: > export DYLD_LIBRARY_PATH=/usr/local/graphviz-2.12/lib > > The same error as above still occurs. Does anyone know how to solve > this problem? > > > sessionInfo() > R version 2.4.1 (2006-12-18) > i386-apple-darwin8.8.1 > > locale: > en_GB.UTF-8/en_GB.UTF-8/en_GB.UTF-8/C/en_GB.UTF-8/en_GB.UTF-8 > > attached base packages: > [1] "tools" "stats" "graphics" "grDevices" "utils" > "datasets" > [7] "methods" "base" > > other attached packages: > geneplotter annotate Biobase graph > "1.12.0" "1.12.0" "1.12.2" "1.12.1" > > > > > -- > > Contact information: > > Daniel Klevebring > M. Sc. Eng., Ph.D. Student > Dept of Gene Technology > Royal Institute of Technology, KTH > SE-106 91 Stockholm, Sweden > > Visiting address: Roslagstullsbacken 21, B3 > Delivery address: Roslagsv?gen 30B, 104 06, Stockholm > E-mail: daniel at biotech.kth.se > E-mail: daniel at arrayadvice.se > Phone: +46 8 5537 8337 (Office) > Phone: +46 704 71 65 91 (Mobile) > Web: http://www.ktharray.se/ > Web: http://www.arrayadvice.se/ > Fax: +46 8 5537 8481 > MSN messenger: klevebring at msn.com > > > > [[alternative HTML version deleted]] > > _______________________________________________ > Bioconductor mailing list > Bioconductor at stat.math.ethz.ch > https://stat.ethz.ch/mailman/listinfo/bioconductor > Search the archives: > http://news.gmane.org/gmane.science.biology.informatics.conductor
ADD COMMENT
0
Entering edit mode
An embedded and charset-unspecified text was scrubbed... Name: not available Url: https://stat.ethz.ch/pipermail/bioconductor/attachments/20070414/ c5f7403b/attachment.pl
ADD REPLY
0
Entering edit mode
Seth Falcon ★ 7.4k
@seth-falcon-992
Last seen 7.4 years ago
Hi Daniel, Can you tell us how you installed R, graphviz, and Rgraphviz? And what compilers you have installed? If you install the binary version of R, then I suspect you will have the best luck with the binary graphviz install and binary Rgraphviz package. OTOH, if you want to compile packages from source, it is safest to also compile R from source. The reason is that you can then be sure that the compiles all match up. Daniel Klevebring <daniel at="" biotech.kth.se=""> writes: > 1. Rechecked Rgraphviz version, 1.12.3 I think you should try installing the binary version of graphviz available from the att website: http://r.research.att.com/ And then install Rgraphviz via biocLite to obtain the binary version. > 2. My DYLD_LIBRARY_PATH does not seem to be visible to R, see the > export R_GUI_APP_REVISION="4038" > export R_GUI_APP_VERSION="1.18" > export > R_HOME="/Library/Frameworks/R.framework/Versions/2.4/Resources" This looks to me like you have installed a binary version of R and not built from source. > where DYLD_LIBRARY_PATH is present, but R doesn't seem to get the > message. I think the binary version of R quite purposely ignores it, but you would have to ask for details on the r-sig-mac list. > 3. No .so files are available in the given path, but lots of > lib*.dylib files. Where would the .so files be loacted? No, that looks about right for OSX. > 4. Running nm lib*.dylib | grep agfstnode indeed gives > U _agfstnode > U _agfstnode > U _agfstnode > U _agfstnode And that looks fine too. But unless you install Rgrphviz from source you can't link it to your newer graphviz libs and I'm not certain this will work for you since you may have compiler mismatch issues with R... + seth -- Seth Falcon | Computational Biology | Fred Hutchinson Cancer Research Center http://bioconductor.org
ADD COMMENT
0
Entering edit mode
An embedded and charset-unspecified text was scrubbed... Name: not available Url: https://stat.ethz.ch/pipermail/bioconductor/attachments/20070414/ 5a2c3538/attachment.pl
ADD REPLY
0
Entering edit mode
Hi Daniel, Seth, Quoting Daniel Klevebring <daniel at="" biotech.kth.se="">: > After I installed graphviz 2.8 I can't run the command line tools of > graphviz: > danielk:~ danielk$ dot > dyld: Library not loaded: /usr/local/lib/graphviz/libgcc_s.1.0.dylib > Referenced from: /usr/local/lib/graphviz/libgvc.2.dylib > Reason: image not found > Trace/BPT trap The graphviz-2.8.dmg available at http://r.research.att.com/ has been broken for months: https://stat.ethz.ch/pipermail/r-sig-mac/2007-January/003534.html You can "fix" it by adding a symlink to /usr/local/gcc4.0/lib/libgcc_s.1.0.dylib in /usr/local/lib/graphviz/ (alternatively you can send a friendly reminder to R-SIG-Mac that graphviz-2.8.dmg is broken) Cheers, H.
ADD REPLY
0
Entering edit mode
Daniel By now you may have a bit of a messed up installation of graphviz. As Li, I would like to know the following (1) Have you installed the CRAN compilers? (look for the existence of /usr/local/gcc4.0) (2) I assume you have the CRAN version of R - right? (3) What is your default C compiler # gcc_select (hopefully it is 4.0) (4) How did you install graphviz (5) And I would like the output of installing Rgraphviz under source (important). You should not have to DYLD_LIBRARY_PATH, indeed it is a bit dangerous to do so under OS X (I am told). If you want to clean up the whole mess, do the following (a) delete all the graphviz versions you have. Perhaps using # make uninstall from you building directory. There are files both in /usr/local/bin, / usr/local/include, /usr/local/lib (b) Install graphviz 2.12 by running configure and make. I have used the CRAN compilers to compile graphviz, just for safety, but I think you can just use the normal gcc (= don't do anything) _if_ you are using 4.x (c) Download Rgraphviz from the development version of Bioconductor. (d) Install it by # R CMD INSTALL .... That should work. Kasper On Apr 14, 2007, at 9:35 AM, hpages at fhcrc.org wrote: > Hi Daniel, Seth, > > Quoting Daniel Klevebring <daniel at="" biotech.kth.se="">: > >> After I installed graphviz 2.8 I can't run the command line tools of >> graphviz: >> danielk:~ danielk$ dot >> dyld: Library not loaded: /usr/local/lib/graphviz/libgcc_s.1.0.dylib >> Referenced from: /usr/local/lib/graphviz/libgvc.2.dylib >> Reason: image not found >> Trace/BPT trap > > The graphviz-2.8.dmg available at http://r.research.att.com/ > has been broken for months: > https://stat.ethz.ch/pipermail/r-sig-mac/2007-January/003534.html > > You can "fix" it by adding a symlink to > /usr/local/gcc4.0/lib/libgcc_s.1.0.dylib > in /usr/local/lib/graphviz/ > > (alternatively you can send a friendly reminder to R-SIG-Mac > that graphviz-2.8.dmg is broken) > > Cheers, > H. > > _______________________________________________ > Bioconductor mailing list > Bioconductor at stat.math.ethz.ch > https://stat.ethz.ch/mailman/listinfo/bioconductor > Search the archives: http://news.gmane.org/ > gmane.science.biology.informatics.conductor
ADD REPLY
0
Entering edit mode
An embedded and charset-unspecified text was scrubbed... Name: not available Url: https://stat.ethz.ch/pipermail/bioconductor/attachments/20070416/ 053075c1/attachment.pl
ADD REPLY
0
Entering edit mode
An embedded and charset-unspecified text was scrubbed... Name: not available Url: https://stat.ethz.ch/pipermail/bioconductor/attachments/20070416/ 2a63d993/attachment.pl
ADD REPLY
0
Entering edit mode
I digged a bit deeper into Mac OS business... Following are from Apple: (1) Mac platform includes more than one processor families, and different processors use different endians (this implies BIG differences in binaries) (2) compiling libraries as universal binaries EVEN IF you are exclusively targeting an Intel-based Mac, as the libs may be used by a PowerPC binary running under Rosetta. (3) building executables as universal binaries in general (4) most common problems when compiling for various architectures are results from a. assuming the build host is architecturally similar to the target machine, (b) trying to determine target-processor-specific info at configuration time rather than at compile time or execution time (one reference is: http://developer.apple.com/documentation/Porting/Conceptual/PortingUni x/) >From the reported issues/difficulties/problems, I suspect the main issue is the differences in processor type. That could explain pretty much all. So what I would suggest for Daniel to try is: install all pieces from sources (including graphviz, R, Rgraphviz). That gives a better chance of getting all the compiler options consistent, and the resulting libraries and executables have no problem seeing each other. Li
ADD REPLY
0
Entering edit mode
Daniel When installing from source you need the CRAN compilers. When you install R from the .dmg file, you part way through the installation routing has the option of clicking "Customize" somewhere along the bottom of the screen. That takes you to a screen where you can choose to install GCC 4.0.3. Do that! That should give you a directory /usr/ local/gcc4.0 which is _required_ for installing R packages from source. I am _rather_ mystified that you cannot build graphviz from source. The error looks strange. My guess is that you need to do ./configure make sudo make install Anyway, we can try using the binary version. The possible problem is that it is compiled using a different compiler than R/Rgrpahviz, so you may run into problems. Assuming that the binary version installs into /usr/local, you should do # R CMD INSTALL Rgraphviz_1.13.36.tar.gz --configure-args="--with- graphviz=/usr/lcoal" This should at least get you further than the things below. Drop us the output again. Finally, as Tony is saying, you could opt to go with the Simon's Graphviz. Kasper On Apr 16, 2007, at 4:00 AM, Daniel Klevebring wrote: > Hi, > > I really appreciate all the help. I'll try to answer the questions > the best I can: > > 0) I went the folder you mentioned and removed traces of "old" > graphvizes (basically using their "date modified" since I know > approx. when I installed it) > 1) I installed R from the CRAN binary, unless the compilers are co- > installed, then no I haven't. (I have no dir /usr/local/gcc4.0, > whereis gcc tells me /usr/bin/gcc) > 2) Yes (R binary from CRAN). > 3) Default gcc is 4.0.1: > danielk:~ danielk$ gcc_select > Current default compiler: > gcc version 4.0.1 (Apple Computer, Inc. build 5250) > > 4) I installed the binary graphviz 2.12. The command line tools (dot, > neato etc) works perfectly fine: > > danielk:~/Desktop danielk$ /usr/local/graphviz-2.12/bin/dot -T gif -o > kalle2.gif kalle.dot > where kalle.dot is > --- kalle.dot --- > digraph untitled > { > donald -> duck; > } > --- end kalle.dot --- > > 5) Installing Rgraphviz 1.12.3 from source gives the following error: > danielk:~/Desktop danielk$ R CMD INSTALL Rgraphviz_1.12.3.tar.gz > * Installing *source* package 'Rgraphviz' ... > checking for pkg-config... /usr/local/bin/pkg-config > Package libgvc was not found in the pkg-config search path. > Perhaps you should add the directory containing `libgvc.pc' > to the PKG_CONFIG_PATH environment variable > No package 'libgvc' found > configure: pkg-config was not able to find graphviz. Verify graphviz > is installed and that PKG_CONFIG_PATH is correct.checking for > dotneato-config... no > configure: dotneato-config not found in PATH. Try specifying > location of graphviz using --with-graphviz > configure: error: graphviz was not found. > ERROR: configuration failed for package 'Rgraphviz' > ** Removing '/Library/Frameworks/R.framework/Versions/2.4/Resources/ > library/Rgraphviz' > > 6) Installing Rgraphviz 1.13.36 from BioC Devel gives the following > error: > danielk:~/Desktop danielk$ R CMD INSTALL Rgraphviz_1.13.36.tar.gz > * Installing *source* package 'Rgraphviz' ... > checking for pkg-config... /usr/local/bin/pkg-config > Package libgvc was not found in the pkg-config search path. > Perhaps you should add the directory containing `libgvc.pc' > to the PKG_CONFIG_PATH environment variable > No package 'libgvc' found > configure: pkg-config was not able to find graphviz. Verify graphviz > is installed and that PKG_CONFIG_PATH is correct.checking for > dotneato-config... no > configure: dotneato-config not found in PATH. Try specifying > location of graphviz using --with-graphviz > configure: error: graphviz was not found. > ERROR: configuration failed for package 'Rgraphviz' > ** Removing '/Library/Frameworks/R.framework/Versions/2.4/Resources/ > library/Rgraphviz' > > 7) Installing graphviz 2.12 from source using > $ ./configure > $ sudo make > > danielk:~/Download/graphviz-2.12 danielk$ sudo make > Password: > make all-recursive > Making all in libltdl > make all-am > Making all in lib > Making all in cdt > make[3]: Nothing to be done for `all'. > Making all in graph > make[3]: Nothing to be done for `all'. > Making all in agraph > make[3]: Nothing to be done for `all'. > Making all in gd > if /bin/sh ../../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H - > I. -I. -I../.. includedir {cppflags} -I/usr/local/include -g -O2 > -fno-common -Wall -DNDEBUG -MT gdtables.lo -MD -MP -MF ".deps/ > gdtables.Tpo" -c -o gdtables.lo gdtables.c; \ > then mv -f ".deps/gdtables.Tpo" ".deps/gdtables.Plo"; else rm -f > ".deps/gdtables.Tpo"; exit 1; fi > gcc -DHAVE_CONFIG_H -I. -I. -I../.. includedir "{cppflags}" -I/usr/ > local/include -g -O2 -fno-common -Wall -DNDEBUG -MT gdtables.lo -MD - > MP -MF .deps/gdtables.Tpo -c gdtables.c -fno-common -DPIC -o .libs/ > gdtables.o > i686-apple-darwin8-gcc-4.0.1: includedir: No such file or directory > i686-apple-darwin8-gcc-4.0.1: {cppflags}: No such file or directory > make[3]: *** [gdtables.lo] Error 1 > make[2]: *** [all-recursive] Error 1 > make[1]: *** [all-recursive] Error 1 > make: *** [all] Error 2 > > So far, the best luck is with the binary graphviz 2.12 Revision 1 > (Intel) from http://www.ryandesign.com/graphviz/ since the command > line tools work fine. > > /daniel > -- > > Contact information: > > Daniel Klevebring > M. Sc. Eng., Ph.D. Student > Dept of Gene Technology > Royal Institute of Technology, KTH > SE-106 91 Stockholm, Sweden > > Visiting address: Roslagstullsbacken 21, B3 > Delivery address: Roslagsv?gen 30B, 104 06, Stockholm > E-mail: daniel at biotech.kth.se > E-mail: daniel at arrayadvice.se > Phone: +46 8 5537 8337 (Office) > Phone: +46 704 71 65 91 (Mobile) > Web: http://www.ktharray.se/ > Web: http://www.arrayadvice.se/ > Fax: +46 8 5537 8481 > MSN messenger: klevebring at msn.com > > > On 15 Apr 2007, at 19:51, Kasper Daniel Hansen wrote: > >> Daniel >> >> By now you may have a bit of a messed up installation of graphviz. >> As Li, I would like to know the following >> (1) Have you installed the CRAN compilers? (look for the existence >> of /usr/local/gcc4.0) >> (2) I assume you have the CRAN version of R - right? >> (3) What is your default C compiler >> # gcc_select >> (hopefully it is 4.0) >> (4) How did you install graphviz >> (5) And I would like the output of installing Rgraphviz under >> source (important). >> >> You should not have to DYLD_LIBRARY_PATH, indeed it is a bit >> dangerous to do so under OS X (I am told). >> >> If you want to clean up the whole mess, do the following >> (a) delete all the graphviz versions you have. Perhaps using >> # make uninstall >> from you building directory. There are files both in /usr/local/ >> bin, /usr/local/include, /usr/local/lib >> (b) Install graphviz 2.12 by running configure and make. I have >> used the CRAN compilers to compile graphviz, just for safety, but I >> think you can just use the normal gcc (= don't do anything) _if_ >> you are using 4.x >> (c) Download Rgraphviz from the development version of Bioconductor. >> (d) Install it by >> # R CMD INSTALL .... >> >> That should work. >> >> Kasper >> >> On Apr 14, 2007, at 9:35 AM, hpages at fhcrc.org wrote: >> >>> Hi Daniel, Seth, >>> >>> Quoting Daniel Klevebring <daniel at="" biotech.kth.se="">: >>> >>>> After I installed graphviz 2.8 I can't run the command line >>>> tools of >>>> graphviz: >>>> danielk:~ danielk$ dot >>>> dyld: Library not loaded: /usr/local/lib/graphviz/libgcc_s. >>>> 1.0.dylib >>>> Referenced from: /usr/local/lib/graphviz/libgvc.2.dylib >>>> Reason: image not found >>>> Trace/BPT trap >>> >>> The graphviz-2.8.dmg available at http://r.research.att.com/ >>> has been broken for months: >>> https://stat.ethz.ch/pipermail/r-sig- mac/2007-January/003534.html >>> >>> You can "fix" it by adding a symlink to >>> /usr/local/gcc4.0/lib/libgcc_s.1.0.dylib >>> in /usr/local/lib/graphviz/ >>> >>> (alternatively you can send a friendly reminder to R-SIG-Mac >>> that graphviz-2.8.dmg is broken) >>> >>> Cheers, >>> H. >>> >>> _______________________________________________ >>> Bioconductor mailing list >>> Bioconductor at stat.math.ethz.ch >>> https://stat.ethz.ch/mailman/listinfo/bioconductor >>> Search the archives: http://news.gmane.org/ >>> gmane.science.biology.informatics.conductor >> > > > [[alternative HTML version deleted]] > > _______________________________________________ > Bioconductor mailing list > Bioconductor at stat.math.ethz.ch > https://stat.ethz.ch/mailman/listinfo/bioconductor > Search the archives: http://news.gmane.org/ > gmane.science.biology.informatics.conductor
ADD REPLY
0
Entering edit mode
Seth Falcon ★ 7.4k
@seth-falcon-992
Last seen 7.4 years ago
Another diagnostic to suggest to help clarify things: Start a new R session and do: system.file("libs", package="Rgraphviz") You should, I think, have a Rgraphviz.so file in that directory. You can see what it is linked against via: otool -L path/to/some/Rgraphviz.so And you could do this via system() in R. -- Seth Falcon | Computational Biology | Fred Hutchinson Cancer Research Center http://bioconductor.org
ADD COMMENT

Login before adding your answer.

Traffic: 378 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6